# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1063.1.8+1.1063.4.2 -> 1.1063.1.9
#	  include/linux/fs.h	1.69.1.17 -> 1.76.1.1
#	include/linux/pci_ids.h	1.44.5.2 -> 1.46.1.18
#	 drivers/pci/pci.ids	1.37.3.1 -> 1.37.2.2
#	          fs/inode.c	1.36.1.3 -> 1.40   
#
diff -Nru a/fs/inode.c b/fs/inode.c
--- a/fs/inode.c	Wed Oct  8 09:06:08 2003
+++ b/fs/inode.c	Wed Oct  8 09:06:08 2003
@@ -56,7 +56,7 @@
  */
 
 static LIST_HEAD(inode_in_use);
-static LIST_HEAD(inode_unused);
+LIST_HEAD(inode_unused);
 static struct list_head *inode_hashtable;
 static LIST_HEAD(anon_hash_chain); /* for inodes with NULL i_sb */
 
diff -Nru a/include/linux/fs.h b/include/linux/fs.h
--- a/include/linux/fs.h	Wed Oct  8 09:06:08 2003
+++ b/include/linux/fs.h	Wed Oct  8 09:06:08 2003
@@ -246,7 +246,7 @@
 	/* First cache line: */
 	struct buffer_head *b_next;	/* Hash queue list */
 	unsigned long b_blocknr;	/* block number */
-	unsigned short b_size;		/* block size */
+	unsigned int b_size;		/* block size */
 	unsigned short b_list;		/* List that this buffer appears */
 	kdev_t b_dev;			/* device (B_FREE = free) */
 
